#include<iostream>
using namespace std;
int main()
{
    long long N, K, num[100000], br=0, num_zam;
    cin>>N>>K;
    bool a[32]={false}, b[32]={false};
    for(int i=0;i<N;i++)
    {
        cin>>num[i];
    }
    for(int i=0;i<N-1;i++)
    {
        num_zam=num[i];
        for(int j=0;num_zam!=0;j++)
        {
            a[j]=num_zam%2;
            num_zam/=2;
        }
        for(int k=i+1;k<N;k++){
        num_zam=num[k];
        for(int j=0;num_zam!=0;j++)
        {
            a[j]=num_zam%2;
            num_zam/=2;
        }
        for(int j=0;j<32;j++)
        {
            a[j]=a[i] || b[i];
        }
        num_zam=0;
        for(int j=0;j<32;j++)
        {
            if(a[i])
            {
                num_zam+=2^j;
            }
        }
        if(num_zam>=K)
        {
            br+=N-k;
            break;
        }
        }
    }
    cout<<br<<endl;
    return 0;
}